Get Group
Get one group with its owner, members and workshop items.
Requires an API key for an MSP user whose role includes the Manage Groups permission. Tenant (company) users, including tenant admins, receive 403. Groups in tenants your MSP does not manage are never returned or changed.
Path Parameters
- Type: stringgroup
_id requiredGroup HashID
Group HashID (e.g., group_abc123)
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/admin/groups/{group_id}
curl 'https://ai.hatz.ai/v1/admin/groups/{group_id}' \
--header 'X-API-Key: YOUR_SECRET_TOKEN'
{
"id": "group_X7VAK72dp5nX3Cd6JXwdPg6OxD",
"name": "Sales",
"description": "Sales team",
"tenant_id": "tenant_abc123",
"owner": {
"id": "user_gE4JlrAxlgKXEfvA3jZexy6Pxq",
"email": "admin@yourmsp.com",
"first_name": "Alex",
"last_name": "Admin"
},
"members": [
{
"id": "user_n55abP89ZowO6iKAx7vqWjrqnZ",
"email": "sam@example.com",
"first_name": "Sam",
"last_name": "Rivera"
}
],
"workshop_items": [
{
"id": "5143da6d-c5de-4c2f-a0b6-3df4d0e542f0",
"item_type": "agent"
}
],
"created_at": "2026-11-05T20:02:42.715415+00:00",
"updated_at": "2026-11-05T20:02:42.715415+00:00"
}